Skip to content

Dendra Release 2 API

Dendra Release 2 provides an API v2, which is a REST API used to access Dendra resources over standard HTTP endpoints.

For a full list of endpoints and schema, see the Dendra API v2 Docs.

Dendra API v2 uses resource-oriented REST routes. This means that the API is designed to be used with HTTP requests and responses, and follows RESTful principles, meaning

  • Each resource is identified by a URL (e.g. https://api.dendra.science/v2/organizations).

  • Resources are manipulated using standard HTTP methods (GET, POST, PUT, DELETE).

  • The API is stateless, meaning that each request is independent and does not depend on the previous requests.

  • Requests and responses are in JSON format.

To make a request, you need to use the HTTP method and the URL.

For example, to list all organizations, you would use the GET method and the URL https://api.dendra.science/v2/organizations.

The response would be the JSON representation of a list of all organizations.

Example: List Organizations

Request:

Terminal window
curl -sS -X GET "https://api.dendra.science/v2/organizations" \
-H "Accept: application/json"

Response:

{
"data": [
{
"_id": "5b032fe439e58256b546331c",
"name": "UC Nature Research",
"slug": "ucnatres",
...
},
...
],
"limit": 200,
"skip": 0,
"total": 19
}

Example: Get an Organization by ID

Request:

Terminal window
curl -X GET "https://api.dendra.science/v2/organizations/5b032fe439e58256b546331c"

Response:

{
"_id": "5b032fe439e58256b546331c",
"name": "UC Nature Research",
"slug": "ucnatres",
...
}

You can make requests directly from the docs site by navigating to the endpoint you want and entering your request information.

The target server is https://api.dendra.science/v2.

Follow the link below for an example with a pre-filled request body. Hit Test Request followed by Send to try it yourself.